Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: OpenSuseWay fournisseurs non installables (Lu 671 fois) sujet précédent - sujet suivant

OpenSuseWay fournisseurs non installables

Bonjour,

je voulais tester Sway avec la préconfiguration OpenSuse mais j'ai une erreur à l'installation :

~> sudo zypper in openSUSEway
[sudo] Mot de passe de root :
Chargement des données du dépôt...
Lecture des paquets installés...
Résolution des dépendances des paquets...

Problème : le/la openSUSEway-0.14-1.3.noarch à installer nécessite 'sway-branding-openSUSE', mais cette condition ne peut pas être remplie
  fournisseurs non installables : sway-branding-openSUSE-0.14-1.3.noarch[repo-oss]
 Solution 1 : ne pas installer openSUSEway-0.14-1.3.noarch
 Solution 2 : casser openSUSEway-0.14-1.3.noarch en ignorant certaines de ses dépendances

Choisir une des solutions ci-dessus en tapant son numéro ou bien annuler en tapant 'a' [1/2/a/d/?] (a):

Juste un retard sur un paquet ou c'est un problème qui vient de chez moi?

Pour info
~> zypper lr
Priorités de dépôt en vigueur :                                                                                                                                                            (Consultez 'zypper lr -P' pour plus de détails)
      90 (priorité relevée)    :  1 dépôt
      99 (priorité par défaut) :  9 dépôts

#  | Alias                            | Name                                                                                            | Enab-> | GPG Check        | Refresh
---+----------------------------------+-------------------------------------------------------------------------------------------------+--------+------------------+-----------
 1 | Application_Geo                  | Applications related to the earth (GIS, Mapping, geodesy, GPS, astronomy) (openSUSE_Tumbleweed) | Oui    | (r ) Oui         | Non
 2 | Insync                           | Insync                                                                                          | Oui    | (r ) Oui         | Oui
 3 | home_psmt                        | psmt's Home Project (openSUSE_Tumbleweed)                                                       | Oui    | (r ) Oui         | Non
 4 | http-ftp.gwdg.de-14f0c95e        | Packman Repository                                                                              | Oui    | (r ) Oui         | Oui
 5 | http-opensuse-guide.org-566637a2 | libdvdcss repository                                                                            | Oui    | (r ) Oui         | Oui
 6 | multimedia_apps                  | Multimedia Applications (openSUSE_Tumbleweed)                                                   | Oui    | (r ) Oui         | Non
 7 | openSUSE-20211222-0              | openSUSE-20211222-0                                                                             | Non    | ----             | ----
 8 | packman                          | packman                                                                                         | Oui    | (r ) Oui         | Oui
 9 | repo-debug                       | openSUSE-Tumbleweed-Debug                                                                       | Non    | ----             | ----
10 | repo-non-oss                     | openSUSE-Tumbleweed-Non-Oss                                                                     | Oui    | (r ) Oui         | Oui
11 | repo-oss                         | openSUSE-Tumbleweed-Oss                                                                         | Oui    | (r ) Oui         | Oui
12 | repo-source                      | openSUSE-Tumbleweed-Source                                                                      | Non    | ----             | ----
13 | repo-update                      | openSUSE-Tumbleweed-Update                                                                      | Oui    | (r ) Oui         | Oui

Merci.

Re : OpenSuseWay fournisseurs non installables

Répondre #1
Bonjour,
Le paquet sway-branding-openSUSE semble bien être présent dans le dépôt OSS
Tu as peut-être un souci lié à un autre paquet installé, paquet issu d'un dépôt tiers qui empêche d'installer sway-branding-openSUSE ?
Tu as essayé de juste installer ce dernier pour voir si un conflit est évoqué ?

Re : OpenSuseWay fournisseurs non installables

Répondre #2
Salut merci pour ta réponse.
Ca me ramène sur Sway qui est ininstallable. Alors qu'en fait si. . .

~> sudo zypper in sway-branding-openSUSE
Chargement des données du dépôt...
Lecture des paquets installés...
Résolution des dépendances des paquets...

Problème : le/la sway-branding-openSUSE-0.14-1.3.noarch à installer nécessite 'sway', mais cette condition ne peut pas être remplie
  fournisseurs non installables : sway-1.7-1.1.i586[repo-oss]
                   sway-1.7-1.1.x86_64[repo-oss]
 Solution 1 : ne pas installer sway-branding-openSUSE-0.14-1.3.noarch
 Solution 2 : casser sway-branding-openSUSE-0.14-1.3.noarch en ignorant certaines de ses dépendances

Choisir une des solutions ci-dessus en tapant son numéro ou bien annuler en tapant 'a' [1/2/a/d/?] (a):

Par contre je peux installer sway tout seul. Et la bonne version
~> sudo zypper info sway
Chargement des données du dépôt...
Lecture des paquets installés...


Informations sur paquet sway :
------------------------------
Dépôt                     : openSUSE-Tumbleweed-Oss
Nom                       : sway
Version                   : 1.7-1.1
Architecture              : x86_64
Fabricant                 : openSUSE
Taille une fois installé  : 5,4 MiB
Installé                  : Non
État                      : non installé
Paquet source             : sway-1.7-1.1.src
Résumé                    : Window manager for Wayland compatible with i3
Description               :
    "SirCmpwn's Wayland window manager" is a work in progress i3-compatible window
    manager for Wayland.

~> sudo zypper in sway
Chargement des données du dépôt...
Lecture des paquets installés...
Résolution des dépendances des paquets...

Les 2 paquets recommandés suivants ont été automatiquement sélectionnés :
  swaybar swaynag

Les 4 NOUVEAUX paquets suivants vont être installés :
  sway swaybar sway-branding-upstream swaynag

4 nouveaux paquets à installer.
Taille de téléchargement totale : 5,2 MiB. Déjà en cache : 0 B. Après l'opération, 5,6 MiB d'espace disque supplémentaire sera utilisé.
Continuer ? [o/n/v/...? affiche toutes les options] (o): n

Je ne comprends pas  :(

Re : OpenSuseWay fournisseurs non installables

Répondre #3
Moi non plus  :(  
Un problème arch / no arch ? Faudrait il passer par l’installation du pattern sway ?

Re : OpenSuseWay fournisseurs non installables

Répondre #4
Le serpent se mord la queue

nico@localhost:~> sudo zypper in -t openSUSEway
[sudo] Mot de passe de root :
Le drapeau type n'est pas compatible avec l'argument openSUSEway (Type de paquet inconnu).
nico@localhost:~> sudo zypper in -t pattern openSUSEway
Chargement des données du dépôt...
Lecture des paquets installés...
Résolution des dépendances des paquets...

Problème : le/la pattern:openSUSEway-0.14-1.3.noarch à installer nécessite 'patterns-openSUSEway', mais cette condition ne peut pas être remplie
  fournisseurs non installables : patterns-openSUSEway-0.14-1.3.noarch[repo-oss]
 Solution 1 : ne pas installer pattern:openSUSEway-0.14-1.3.noarch
 Solution 2 : casser pattern:openSUSEway-0.14-1.3.noarch en ignorant certaines de ses dépendances

Choisir une des solutions ci-dessus en tapant son numéro ou bien annuler en tapant 'a' [1/2/a/d/?] (a):

nico@localhost:~> sudo zypper in -t pattern patterns-openSUSEway
Chargement des données du dépôt...
Lecture des paquets installés...
'patterns-openSUSEway' n'a pas été trouvé parmi les noms de paquets. Essai parmi les capacités.
Aucun fournisseur de 'patterns-openSUSEway' trouvé.
Résolution des dépendances des paquets...
Rien à faire.

nico@localhost:~> sudo zypper in patterns-openSUSEway
Chargement des données du dépôt...
Lecture des paquets installés...
Résolution des dépendances des paquets...

Problème : le/la patterns-openSUSEway-0.14-1.3.noarch à installer nécessite 'openSUSEway', mais cette condition ne peut pas être remplie
  fournisseurs non installables : openSUSEway-0.14-1.3.noarch[repo-oss]
 Solution 1 : ne pas installer patterns-openSUSEway-0.14-1.3.noarch
 Solution 2 : casser patterns-openSUSEway-0.14-1.3.noarch en ignorant certaines de ses dépendances

Choisir une des solutions ci-dessus en tapant son numéro ou bien annuler en tapant 'a' [1/2/a/d/?] (a):

Je l'ai installé il y a dix jours sans soucis puis désinstallé pour je ne sais quelle obscure raison. Peut-être un truc à purger?

PS : y  un truc bizarre dans les couleurs de la balise code désolé pour la lecture

Re : OpenSuseWay fournisseurs non installables

Répondre #5
Hello,

en #2 tu lui demandes d'installer un paquet branding-opensuse pour sway , mais il lui manque sway pour cela.


tu devrais pouvoir faire ainsi  :

zypper in sway

(avec sway-branding-upstream apparemment)



ou via le pattern :
zypper in patterns-openSUSEway

ou si tu veux utiliser -t :
zypper in -t pattern nom_de_mon_pattern_prefere

Re : OpenSuseWay fournisseurs non installables

Répondre #6
Oui mais non.
Même si Sway est déjà installé il ne veut rien savoir sur les autres paquets openSUSEway, sway-branding-upstream ou le pattern.
Tous les paquets sont bien dans les dépôts dans leur bonne version.
Je n'arrive pas à comprendre ce qui se passe. . .

 

Re : OpenSuseWay fournisseurs non installables

Répondre #7
Ah ben c'est rentré dans l'ordre ce matin après une MAJ.